## sosreport 3.8

=== debian/changelog ===
sosreport (3.8-1) unstable; urgency=medium

  * New 3.8 upstream release.
    Contains a number of enhancements, new features and bug fixes including:
    - 6 new plugins: container_log, frr, leapp, openstack_placement, qt, vdsm
    - kubernetes plugin can now optionally grab logs only for certain pods
    - kdump plugin will now collect initramfs content
    - pulp and foreman plugins now support collecting from an external database
    - sar plugin will now collect the full sar log dir
    - vdsm and ovirt plugins will now collect host certificates
    - openvswitch plugin will now enable on openvswitch2.* packages
    - Added support for only capturing logs after a specific date, --since
      option
    - Fixed an issue causing high CPU utilization which slowed journal
      collection
    - Fixed an issue where plugins could continue executing commands after
      their timeout was hit
    - sosreport will no longer abort execution on Red Hat family systems when
      the package manager fails to query a file list

  * Plugin API enhancements
    - Plugins may now capture environment variables, which will be written to
      /environment in the sos archive root
    - Plugins may now write command output to subdirs within their own
      sos_commands/plugin directory
      - The container plugins have been updated to make use of this
        functionality
    - SoSPredicate usage may now be match either any or all of the provided
      elements, and may mix requirements of kmods and services to determine
      if a command should be collected.

  * Significant changes to the reporting system of sos
    - HTML reports replaced by a Report subclass
    - HTML report creation time is significantly improved
    - Added a JSON formatted report option

  * Allow system changes option
    - A new --allow-system-changes option has been added that will allow users
      to collect certain data, even if it means the host system would be
      changed.

  * Former patches now fixed upstream:
    - d/p/0001-skip-py2-only-tests.patch
    - d/p/archive-fix-stat-typo.patch
    - d/p/avoid-distutils.diff

 -- Eric Desrochers <slashd@ubuntu.com>  Mon, 09 Sep 2019 15:40:31 +0000
