=== debian/changelog ===
sosreport (3.9-1ubuntu2) focal; urgency=medium

  * d/p/0002-lxd-drop-db-collection-and-introduce-lxd-buginfo.patch:
    - Drop db collection and introduce lxd.buginfo (LP: #1868215)

  * d/tests/{control,simple.sh}: (LP: #1865212)
    - Add testsuite "simple.sh". A port of the travis tests to bash
      provided by upstream.

 -- Seyeong Kim <seyeong.kim@canonical.com>  Fri, 20 Mar 2020 06:48:01 +0000

sosreport (3.9-1ubuntu1) focal; urgency=medium

  * debian/control:
    Drop accidentally re-introduces py2 runtime dependency

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 17 Feb 2020 07:28:29 -0500

sosreport (3.9-1) unstable; urgency=medium

  * New 3.9 upstream release.
    - Improved human-readable archive naming and support for archive labels
    - Improved reporting of archive output and properties
    - Support for automatic uploading of report archives via FTP and HTTPS
    - Automatic PATH support on Ubuntu distributions
    - Improved policy performance
    - Improved service status collection API
    - 9 new plugins: cloud_init, convert2rhel, ebpf, fwupd, login, nginx,
      nvidia, openstack_tripleo
    - 6 obsolete plugins removed or merged into other plugins:
      katello, last, mrggrid, mrgmessg, satellite
    - Significant updates to 14 plugins: dlm, dnf, ceph, foreman, gluster,
      gnocchi, juju, kubernetes, logs, maas, networking, openvswitch,
      python, plugins
    - The openswan plugin was renamed to libreswan to reflect the active
      upstream project name
    - Updated Red Hat presets and new Cloud Forms preset
    - Updates to networking plugin namespace handling
    - Updates to the OVN plugins (ovn_central, ovn_host)
    - Kernel eBPF data consolidated in a single plugin

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.9

  * Other specific modifications:
    - d/p/0001-unittest-py3-fix.patch

 -- Eric Desrochers <slashd@ubuntu.com>  Sun, 16 Feb 2020 01:35:52 +0000
