=== debian/control ===
--- 
+++ 
@@ -3,9 +3,14 @@
 Uploaders: Eric Desrochers <slashd@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12), dh-python, python3-all, gettext, python3-nose, python3-six,
-		python-futures
+Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-python,
+ gettext,
+ python3-all,
+ python3-nose,
+ python3-six,
 Homepage: https://github.com/sosreport/sos
 Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
 Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git
