=== debian/tests/control ===
Tests: sos-run-nonroot.py
Depends: sosreport
Restrictions: allow-stderr

Tests: sos-run.py
Depends: sosreport
Restrictions: needs-root, allow-stderr

Tests: simple.sh
Depends: sosreport
Restrictions: needs-root, allow-stderr
