=== debian/changelog ===
sosreport (3.9.1-1ubuntu0.16.04.2) xenial; urgency=medium

  * d/p/0005-networking-collect-ethtool-e-device-conditionally-only.patch:
    - EEPROM dump collection might hang on specific types of devices, or
      negatively impact the system otherwise. As a safe option, sos report
      should collect the command when explicitly asked via a plugopt only.
      (LP: #1925351)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 21 Apr 2021 09:07:20 -0400

sosreport (3.9.1-1ubuntu0.16.04.1) xenial; urgency=medium

  * New 3.9.1 upstream release. (LP: #1884293)
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch
 
  * Remaining patch:
    - d/p/0001-lshw-command.patch

  * Other specific modifications:
    - d/p/0002-lds-substitute-oidc-conf.patch
    - d/p/0003-kvm-change-trigger-to-dev-kvm.patch (LP: #1883320)
    - d/p/0004-maas-add-snap-support.patch (LP: #1886494)
    - Add simple.sh as part of the autopkgtest (LP: #1865212)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 15 Jul 2020 13:06:39 +0000

sosreport (3.9-1ubuntu0.16.04.2) xenial; urgency=low

  * d/p/0002-lshw-command.patch (LP: #1871494)
    - Add `lshw` command to hardware plugin

 -- Heather Lemon <heather.lemon@canonical.com>  Wed, 22 Apr 2020 09:32:27 -0600

sosreport (3.9-1ubuntu0.16.04.1) xenial; urgency=medium

  * New 3.9 upstream release (LP: #1862830)
    - Improved human-readable archive naming and support for archive labels
    - Improved reporting of archive output and properties
    - Support for automatic uploading of report archives via FTP and HTTPS
    - Automatic PATH support on Ubuntu distributions
    - Improved policy performance
    - Improved service status collection API
    - 9 new plugins: cloud_init, convert2rhel, ebpf, fwupd, login, nginx,
      nvidia, openstack_tripleo
    - 6 obsolete plugins removed or merged into other plugins:
      katello, last, mrggrid, mrgmessg, satellite
    - Significant updates to 14 plugins: dlm, dnf, ceph, foreman, gluster,
      gnocchi, juju, kubernetes, logs, maas, networking, openvswitch,
      python, plugins
    - The openswan plugin was renamed to libreswan to reflect the active
      upstream project name
    - Updated Red Hat presets and new Cloud Forms preset
    - Updates to networking plugin namespace handling
    - Updates to the OVN plugins (ovn_central, ovn_host)
    - Kernel eBPF data consolidated in a single plugin

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.9

  * Other specific modifications:
    - d/p/0001-unittest-py3-fix.patch

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 11 Mar 2020 13:07:26 -0400

sosreport (3.6-1ubuntu0.16.04.4) xenial; urgency=medium

  * d/p/juju-shouldnt-restart-juju-db-service.patch (LP: #1828467)
    sosreport shouldn't restart a service. It can only collect
    it's status to notify user in case the service is stopped.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 11 Nov 2019 16:06:09 +0000

sosreport (3.6-1ubuntu0.16.04.3) xenial; urgency=medium

  * d/p/split-lastlog-per-uid-ranges.patch: (LP: #1842489)
    - Split lastlog per UID ranges.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 04 Sep 2019 21:32:28 +0000

sosreport (3.6-1ubuntu0.16.04.2) xenial; urgency=medium

  * d/p/dont-collect-some-tracing-instance-files.patch: (LP: #1803735)
    - Ignoring some kernel files as the copy of them make sosreport
      hangs in situation where kernel tracing events is in used.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 16 Nov 2018 11:13:16 -0500

sosreport (3.6-1ubuntu0.16.04.1) xenial; urgency=medium

  * New 3.6 upstream release. (LP: #1775195)
    major enhancements to core features and existing plugins:

    - better package manager version information
    - policy support for detecting package managed files
    - fixed exit status propagation
    - deprecated optparse replaced with argparse
    - simplified and improved SoSOptions interface
    - better error handling during interactive prompting
    - allow journal collection by identifier
    - allow collection of journal message catalogs
    - support for collecting binary file data
    - more fine-grained system plugins (date etc.)
    - policy defined report file name patterns
    - more human-readable report file names by default
    - increased default log size (25MiB vs. 10MiB)
    - support for forbidden path lists and forbid logging
    - support for enabling plugins by kernel module name
    - support for enabling plugins by executable name
    - support for collecting eBPF (bpftool) data
    - support for device information via add_udev_info()
    - support for detecting and reporting unpackaged binaries
    - optional collection of the RPMDB
    - improved archive compression level and multithreading
    - default log size increased from 10MiB to 25MiB
    - improved debug logging and ENOSPC handling
    - major updates to the IPA plugin
    - major updates to the Docker plugin
    - string decoding fixes
    - DNF and Yum module support
    - OpenShift 3.10 support
    - Python3 fixes


