=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Eric Desrochers <slashd@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 3.9.7
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 9),
  dh-python,
  gettext,
  python3-all,
