=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE=.git
export PYBUILD_NAME=sosreport
export PYBUILD_DISABLE_python2=1
export PYBUILD_INSTALL_ARGS_python3=--install-lib=usr/share/sosreport/ \
	--install-data=usr/ \
	--install-scripts=usr/share/sosreport/ \
	--root=$(CURDIR)/debian/sosreport/ \
	--no-compile -O0

%:
	dh $@ --with python3 --buildsystem=pybuild
