## sosreport 4.0

=== requirements.txt ===
pycodestyle>=2.4.0
nose>=1.3.7
coverage>=4.0.3
Sphinx>=1.3.5
pexpect>=4.0.0
