=== debian/changelog ===
sosreport (4.0-2) unstable; urgency=medium

  * d/p/0003-systemd-prefer-resolvectl-over-systemd-resolve.patch:
    - resolvectl has been introduced in systemd v239. This change
      prefers resolvectl but is backward compatible with
      systemd-resolve. (closes: #979264)

  * d/control: Recommends lsof, mount and e2fsprogs:
    - They aren't marked as Essential in Debian, but they are
      for sos to collect generic useful data. (closes: #887181)

 -- Eric Desrochers <slashd@ubuntu.com>  Wed, 27 Jan 2021 09:29:24 -0500

sosreport (4.0-1) unstable; urgency=medium

  * New 4.0 upstream release.

    Release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/4.0

  * Other specific modifications:
    - d/p/0001-debian-change-tmp-dir-location.patch
    - d/p/0002-fix-dict-order-py38-incompatiblity.patch

  * d/control: Maintainer change from Louis to Eric.

 -- Eric Desrochers <slashd@ubuntu.com>  Wed, 19 Aug 2020 22:49:24 +0000

sosreport (3.9.1-1) unstable; urgency=medium

  * New 3.9.1 upstream release.
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch

  * Other specific modifications:
    - Include simple.sh, an upstream port of the travis test to bash,
      as part of the package autopkgtest.

 -- Eric Desrochers <slashd@ubuntu.com>  Tue, 16 Jun 2020 12:18:58 +0000

sosreport (3.9-2) unstable; urgency=medium

  * debian/control:
    Drop accidentally re-introduces py2 runtime dependency

 -- Eric Desrochers <slashd@ubuntu.com>  Mon, 17 Feb 2020 12:50:37 +0000
