## sosreport 4.1

=== debian/changelog ===
sosreport (4.1-1ubuntu1) hirsute; urgency=medium

  * New 4.1 upstream minor release.
    - https://github.com/sosreport/sos/releases/tag/4.1

  * d/test/simple.sh:
    - Update the script from upstream
    - Modify the script to use /tmp as a target, instead
      of /var/tmp.

  * d/test/control:
    - Adding isolation-machine as simple.sh wants to
      interact with the kernel.

  * Former patches:
    - d/p/0002-fix-dict-order-py38-incompatibility.patch
    - d/p/0003-sosclean-fix-handling-of-filepath-with-archive-name.patch
    - d/p/0004-sosclean-fix-tarball-skipping-regex.patch
    - d/p/0005-ceph-collect-balancer-and-pg-autoscale-status.patch
    - d/p/0006-rabbitmq-add-info-on-maybe-stuck-processes.patch
    - d/p/0007-rabbitmq-add-10sec-timeout-to-call-to-maybestuck.patch
    - d/p/0008-networking-include-ip-neigh-and-rule-info.patch
    - d/p/0009-conntrack-add-conntrack-info.patch
    - d/p/0010-conntrack-gather-per-namespace-data.patch
    - d/p/0011-ceph-include-time-sync-status-for-ceph-mon.patch
    - d/p/0012-apt-move-unattended-upgrades-log-collection.patch
    - d/p/0013-bcache-add-a-new-plugin-for-bcache.patch
    - d/p/0014-k8s-add-cdk-master-auth-webhook-to-journal.patch
    - d/p/0015-k8s-fix-cdk-related-file-paths.patch
    - d/p/0016-systemd-prefer-resolvectl-over-systemd-resolve.patch
    - d/p/0017-ovn-extend-information.patch
    - d/p/0018-ua-prefer-new-ua-cmd-over-the-deprecated-one.patch
    - d/p/0019-ovn-fix-sbctl-cmd-execution.patch

  * Remaining patches:
   - d/p/0001-debian-change-tmp-dir-location.patch

  * New patches:
   - d/p/0002-clean-prevent-parsing-ubuntu-user.patch

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 22 Mar 2021 12:19:59 +0000

sosreport (4.0-1ubuntu9) hirsute; urgency=medium

  [Edward Hope-Morley]
  * d/p/0019-ovn-fix-sbctl-cmd-execution.patch (LP: #1916635)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 24 Feb 2021 10:40:56 -0500

sosreport (4.0-1ubuntu8) hirsute; urgency=medium

  * d/p/0018-ua-prefer-new-ua-cmd-over-the-deprecated-one.patch

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 23 Feb 2021 08:49:59 -0500

sosreport (4.0-1ubuntu7) hirsute; urgency=medium

  [Edward Hope-Morley]
  * d/p/0017-ovn-extend-information.patch (LP: #1915072)
    - Extend ovn informations

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 11 Feb 2021 11:06:31 -0500

sosreport (4.0-1ubuntu6) hirsute; urgency=medium

  [Eric Desrochers]
  * d/p/0012-apt-move-unattended-upgrades-log-collection.patch
  (LP: #1906302)

  [Ponnuvel Palaniyappan]
  * d/p/0013-bcache-add-a-new-plugin-for-bcache.patch
  (LP: #1913284)

  [Felipe Reyes]
  * d/p/0014-k8s-add-cdk-master-auth-webhook-to-journal.patch
  * d/p/0015-k8s-fix-cdk-related-file-paths.patch
  (LP: #1913583)

  [Michael Biebl]
  * d/p/0016-systemd-prefer-resolvectl-over-systemd-resolve.patch
    (LP: #1913581)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 29 Jan 2021 12:20:50 -0500

sosreport (4.0-1ubuntu5) hirsute; urgency=medium

  [Ponnuvel Palaniyappan]
  * d/p/0011-ceph-include-time-sync-status-for-ceph-mon.patch:
    - Ceph mons might get into time sync problems if ntp/chrony
      isn't installed or configured correctly. Since Luminous
      release, upstream support 'time-sync-status' to detect this
      more easily. (LP: #1910264)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 05 Jan 2021 11:18:38 -0500

sosreport (4.0-1ubuntu4) hirsute; urgency=medium

  [Hemanth Nakkina]
  * d/p/0009-conntrack-add-conntrack-info.patch: rename the
    conntrackd plugin to conntrack; add conntrack commands.
    (LP: #1898077)

  [Mauricio Oliveira]
  * d/p/0010-conntrack-gather-per-namespace-data.patch: add
    conntrack commands for network namespaces.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Mon, 23 Nov 2020 15:10:12 -0300

sosreport (4.0-1ubuntu3) hirsute; urgency=medium

  [Edward Hope-Morley]
  * d/p/0008-networking-include-ip-neigh-and-rule-info.patch:
    - Include ns ip neigh and ip rule info. (LP: #1901555)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 26 Oct 2020 11:04:41 -0400

sosreport (4.0-1ubuntu2) groovy; urgency=medium

  [Nicolas Bock]
  * d/p/0007-rabbitmq-add-10sec-timeout-to-call-to-maybestuck.patch:
    - Add 10 second timeout to call to `maybe_stuck()`.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 21 Sep 2020 10:47:11 -0400

sosreport (4.0-1ubuntu1) groovy; urgency=medium

  [Eric Desrochers]
  * d/p/0003-sosclean-fix-handling-of-filepath-with-archive-name.patch:
    - Fixes the splitting of filepaths within the archive,
      when the archive name is included in the filename
      inside the archive. (LP: #1896222)

  * d/p/0004-sosclean-fix-tarball-skipping-regex.patch:
    - Fix tarball skipping regex

  [Dan Hill]
  * d/p/0005-ceph-collect-balancer-and-pg-autoscale-status.patch:
    - Collect balancer and pg-autoscale status (LP: #1893109)

  [Nicolas Bock]
  * d/p/0006-rabbitmq-add-info-on-maybe-stuck-processes.patch:
    - Add information on maybe_stuck() processes for RMQ. (LP: #1890846)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 18 Sep 2020 09:23:04 -0400
