=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Eric Desrochers <slashd@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -18,7 +18,6 @@
 Package: sosreport
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, python3-pexpect
-Recommends: e2fsprogs, lsof, mount
 Description: Set of tools to gather troubleshooting data from a system
  Sos is a set of tools that gathers information about system
  hardware and configuration. The information can then be used for
