## sosreport 4.2

=== debian/changelog ===
sosreport (4.2-1ubuntu0.21.04.1) hirsute; urgency=medium

  * New 4.2 upstream release. (LP: #1941745)
    - This release contains numerous improvements
      and bug fixes to several components within sos,
      including an overhaul to the project's test suite
      and infrastructure.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.2

  * Remaining patches:
   - d/p/0001-debian-change-tmp-dir-location.patch

  * New patches:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch
    - d/p/0006-report-check-for-symlink-before-rmtree.patch

  * Former patches, now fixed:
    - d/p/0002-clean-prevent-parsing-ubuntu-user.patch
    - d/p/0003-ubuntu-policy-fix-upload.patch
    - d/p/0004-chrony-configuration-can-now-be-fragmented.patch
    - d/p/0005-global-drop-plugin-version.patch
    - d/p/0006-networking-check-presence-of-devlink.patch
    - d/p/0007-sosnode-avoid-checksum-cleanup-if-no-archive.patch

  * d/control:
   - Add 'python3-coverage' as part of the build depends.

  * d/rules:
   - Fix misplaced and duplicated sos.conf file in /usr/config.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Sun, 24 Oct 2021 13:16:22 -0400

sosreport (4.1-1ubuntu1.2) hirsute; urgency=medium

  * d/p/0004-networking-check-presence-of-devlink.patch:
    - Fix devlink module load by networking plugin (LP: #1923661)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Tue, 08 Jun 2021 20:22:26 +0000

sosreport (4.1-1ubuntu1.1) hirsute; urgency=medium

  * d/p/0003-ubuntu-policy-fix-upload.patch:
    - Fix sos archive upload to UA Canonical server
      (LP: #1923209)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 13 May 2021 10:15:23 -0400
