## sosreport 4.3

=== debian/changelog ===
sosreport (4.3-1ubuntu2) jammy; urgency=medium

  * d/p/0003-mention-sos-help-in-sos-manpage.patch:
    Fix sos-help manpage.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 16 Feb 2022 13:05:13 -0500

sosreport (4.3-1ubuntu1) jammy; urgency=medium

  * New 4.3 upstream. (LP: #1960996)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.3

  * New patches:
    - d/p/0002-fix-setup-py.patch:
      Add python sos.help module, it was miss in
      upstream release.

  * Former patches, now fixed:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch
    - d/p/0006-report-check-for-symlink-before-rmtree.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch:

 -- Eric Desrochers <slashd@ubuntu.com>  Tue, 15 Feb 2022 23:10:27 -0500

sosreport (4.2-1ubuntu2) jammy; urgency=medium

  * d/p/0006-report-check-for-symlink-before-rmtree.patch:
    - Fixing --estimate-only option by checking if the dirs
      are also symlink before performing rmtree() method so
      that unlink() method can be used instead.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 19 Oct 2021 14:20:44 -0400

sosreport (4.2-1ubuntu1) jammy; urgency=medium

  * New 4.2 upstream release. (LP: #1941745)
    - This release contains numerous improvements
      and bug fixes to several components within sos,
      including an overhaul to the project's test suite
      and infrastructure.

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.2

  * New patches:
    - d/p/0002-report-implement_estimate-only.patch
    - d/p/0003-ceph-add-support-for-containerized-ceph-setup.patch
    - d/p/0004-ceph-split-plugin-by-components.patch
    - d/p/0005-openvswitch-get-userspace-datapath-implementations.patch

  * Former patches, now fixed:
    - d/p/0002-clean-prevent-parsing-ubuntu-user.patch
    - d/p/0003-ubuntu-policy-fix-upload.patch
    - d/p/0004-chrony-configuration-can-now-be-fragmented.patch
    - d/p/0005-global-drop-plugin-version.patch
    - d/p/0006-networking-check-presence-of-devlink.patch
    - d/p/0007-sosnode-avoid-checksum-cleanup-if-no-archive.patch

  * Remaining patches:
   - d/p/0001-debian-change-tmp-dir-location.patch

  * d/control:
   - Add 'python3-coverage' as part of the build depends.

  * d/rules:
   - Fix misplaced and duplicated sos.conf file in /usr/config.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 18 Oct 2021 09:24:22 -0400

sosreport (4.1-1ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:39 +0200

sosreport (4.1-1ubuntu2) impish; urgency=medium

  * d/p/series:
    - Re-order patches in numerical order.

  * d/p/0003-ubuntu-policy-fix-upload.patch:
    - Fix sos archive upload to UA Canonical server
      (LP: #1923209)

  * d/p/0004-chrony-configuration-can-now-be-fragmented.patch:
    - Chrony 4.0, first introduced in Hirsute, support
      fragmented configuration.

  * d/p/0005-global-drop-plugin-version.patch:
    - Removal of plugins versionning features as it generate
      unhelpful noise. (LP: #1922925)

  * d/p/0006-networking-check-presence-of-devlink.patch:
    - On certain kernel configuration, devlink cmds may
      trigger the module to load automatically. This will
      also prevent simple.sh, part of the autopkgtest, in
      Bionic to fail due to devlink kernel conf in 4.15.
      (LP: #1923661)

  * d/p/0007-sosnode-avoid-checksum-cleanup-if-no-archive.patch:
    - Fixes an exception propagation from `cleanup()`
      where an attempt to look for and remove a checksum
      file was made when an archive was not generated.
      (LP: #1923641)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 26 Apr 2021 15:34:42 -0400
