=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-python,
  gettext,
  python3-all,
+ python3-coverage,
  python3-nose,
  python3-setuptools,
  python3-sphinx,
