=== debian/changelog ===
sosreport (4.4-1ubuntu0) kinetic; urgency=medium

  * New 4.4 upstream. (LP: #1986611)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.4

  * Former patches, now fixed:
    - d/p/0002-fix-setup-py.patch
    - d/p/0003-mention-sos-help-in-sos-manpage.patch

  * d/control:
   - Add 'python3-magic' as part of the build depends.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Wed, 17 Aug 2022 08:38:30 +0000
