=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: sosreport
-Maintainer: Eric Desrochers <slashd@ubuntu.com>
+Maintainer: Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>
 Section: admin
 Priority: optional
 Standards-Version: 4.5.1
@@ -12,6 +12,7 @@
  python3-nose,
  python3-setuptools,
  python3-sphinx,
+ python3-magic,
 Homepage: https://github.com/sosreport/sos
 Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
 Vcs-Git: https://salsa.debian.org/sosreport-team/sosreport.git
