## sosreport 4.5

=== debian/changelog ===
sosreport (4.5-1ubuntu0) lunar; urgency=medium

  * New 4.5.1 upstream. (LP: #2009338)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.0
    - https://github.com/sosreport/sos/releases/tag/4.5.1

    * d/control:
   - Add 'python3-magic' as part of the build depends.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch
 
 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Mon, 06 Mar 2023 06:10:48 +0000

sosreport (4.4-1ubuntu2) lunar; urgency=medium

  * Adjust version number to fix the upgrade path
    (jammy/kinetic/lunar) (LP: #1995234)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 08 Nov 2022 10:14:00 -0300
