=== debian/changelog ===
sosreport (4.5.6-0ubuntu4) noble; urgency=medium

  * d/p/removed-assertEquals-fix.patch: assertEquals was removed, let's
    use assertEqual (LP: #2061325)

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 14 Apr 2024 21:45:27 +0000

sosreport (4.5.6-0ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:19:47 +0200

sosreport (4.5.6-0ubuntu2) mantic; urgency=medium

  * d/tests/simple.sh:
    - Correct typo in test_mask to print ip address
      (LP: #2037873)

  * d/p/0002-obfuscate-netplan-ssid-password.patch:
    - Obfuscate SSID password in netplan/XX.yaml files
      (LP: #2037872)

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 03 Oct 2023 05:43:23 +0000

sosreport (4.5.6-0ubuntu1) mantic; urgency=medium

  * New 4.5.6 upstream. (LP: #2028327)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.6

  * Former patches, now fixed:
    - d/p/0002-regex-flags.patch

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Fri, 21 Jul 2023 08:04:22 +0000

sosreport (4.5.4ubuntu1) mantic; urgency=medium

  * New 4.5.4 upstream. (LP: #2022915)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.4

  * d/rules:
    - skip running unittests/policy_tests.py due to the avocado dependency

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

  * New patches:
    - d/p/0002-regex-flags.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 13 Jun 2023 07:15:42 +0000

sosreport (4.5.3ubuntu2) mantic; urgency=medium

    * d/control:
   - Add 'python3-magic' to runtime depends.

 -- Nikhil Kshirsagar <nkshirsagar@gmail.com>  Fri, 05 May 2023 12:37:54 +0000

sosreport (4.5.3ubuntu1) mantic; urgency=medium

  * New 4.5.3 upstream. (LP: #2018270)

  * For more details, full release note is available here:
    - https://github.com/sosreport/sos/releases/tag/4.5.3

    * d/control:
   - Add 'python3-magic' as part of the build depends.
   - Add 'python3-pexpect' as part of the build depends.

  * Remaining patches:
    - d/p/0001-debian-change-tmp-dir-location.patch

 -- Nikhil Kshirsagar <nikhil.kshirsagar@canonical.com>  Tue, 02 May 2023 05:05:50 +0000
