=== debian/tests/control ===
Tests: simple.sh
Depends: sosreport
Restrictions: needs-root, allow-stderr, isolation-machine
